MIDNIGHTBSD-VERSION(1)

NAME
midnightbsd-version - print the version and patch level of the installed system

SYNOPSIS
midnightbsd-version [-ku]

DESCRIPTION
The midnightbsd-version utility makes a best effort to determine the version and patch level of the installed kernel and / or userland.

The following options are available:

-k  Print the version and patch level of the installed kernel. Unlike uname(1), if a new kernel has been installed but the system has not yet rebooted, midnightbsd-version will print the version and patch level of the new kernel.

-u  Print the version and patch level of the installed userland. These are hardcoded into midnightbsd-version during the build.

If both -k and -u are specified, midnightbsd-version will print the kernel version first, then the userland version, on separate lines. If neither is specified, it will print the userland version only.

IMPLEMENTATION NOTES
The midnightbsd-version utility should provide the correct answer in the vast majority of cases, including on systems kept up-to-date using midnightbsd-update(8), which does not update the kernel version unless the kernel itself was affected by the latest patch.

To determine the name (and hence the location) of a custom kernel, the midnightbsd-version utility will attempt to parse /boot/defaults/loader.conf and /boot/loader.conf, looking for definitions of the kernel and bootfile variables, both with a default value of “kernel”. It may however fail to locate the correct kernel if either or both of these variables are defined in a non-standard location, such as in /boot/loader.rc.

ENVIRONMENT

ROOT
    Path to the root of the filesystem in which to look for loader.conf and the kernel.

EXAMPLES
To determine the version of the currently running userland:

    /bin/midnightbsd-version -u

To inspect a system being repaired using a live CD:

    mount -rt ufs /dev/ada0p2 /mnt
    env ROOT=/mnt /mnt/bin/midnightbsd-version -ku

SEE ALSO
uname(1), loader.conf(5), midnightbsd-version(8)

HISTORY
The midnightbsd-version command appeared in

AUTHORS
The midnightbsd-version utility and this manual page were written by Dag-Erling Smørgrav <des@FreeBSD.org>.